set batteryInformation to do shell script "/usr/sbin/ioreg -w0 -l | /usr/bin/grep LegacyBatteryInfo"

set current to (do shell script "echo '" & batteryInformation & "' | /usr/bin/sed 's/.*\"Current\"=\\([0-9]*\\).*/\\1/' ") as integer

set capacity to (do shell script "echo '" & batteryInformation & "' | /usr/bin/sed 's/.*\"Capacity\"=\\([0-9]*\\).*/\\1/' ") as integer

-- no capacity
if (capacity is equal to 0) then
	return "N/A"
end if

return (((current / capacity * 100) as integer) as string) & "%"